#
source t_header.sh
#
#Video in
printf "Running subsystem test 10: Video in... \n"
if [ ! -c "/dev/video0" ]
then
    printf "Error: Unable to find video device\n"
else
    if [ ! -f "/usr/lib/libXxf86dga.so.1" ]
    then
	printf "Error: Missing library libXxf86dga, required to run mplayer\n"
	sleep 1
	printf "Attempting to install from local source..."
	yum --nogpgcheck install libXxf86dga-1.0.2-9.30.moblin2.i586.rpm
	sleep 3
    else
	printf ""
    fi
#
    ./mplayer tv:// >&/dev/null &
#
    sleep 1
    printf "Running mplayer to display video input...\n"
    printf "If a video source is connected you should see it displayed\n"
    printf "Otherwise you should see a blue screen\n"
    printf "Press ENTER when done\n"
    read
    killall -9 mplayer >&/dev/null 
fi
#
source t_footer.sh
#
# the end
