#
source t_header.sh
#
#Ethernet
printf "Running subsystem test 13: Ethernet... \n"

if [ "`/sbin/ifconfig | grep eth0`" = "" ]
then 
    printf "ERROR: No ethernet device found\n"
else
    printf "Make sure you are connected to the Internet and disconnect any USB Ethernet devices\n"
    printf "Press ENTER to continue...\n"
    read
    printf "Pinging google.com...\n"
    ping www.google.com
    sleep 3
    killall -9 ping
    printf "Press ENTER to continue..."
    read
fi
printf "\n"
#
source t_footer.sh
#
# the end
