#!/bin/bash
#
source t_header.sh
#
#Tuner
printf "Running subsystem test 5: Tuner...\n"
if [ ! -c "/dev/radio0" ]
then
    printf "Error: Unable to access radio (/dev/radio0) \n"
else
    printf "Found NXP Radio tuner and DSP\n"
    sleep 1
    ./testradio 999
    if [ ! -c "/dev/snd/pcmC0D1p" ]
    then
	if [ ! -c "/dev/snd/pcmC1D1p" ]
	then	
	    printf "ERROR: No audio device found\n"
	    printf "You will not be able to hear the tuner output\n" 
	else
	    printf "If you have speakers or headphones connected and AUX is not muted, you should now hear something.\n"
	    printf "To start the mixer, run the command 'alsamixer -c 0' in a terminal.\n"
	fi
    else
	printf "If you have speakers or headphones connected and AUX is not muted, you should now hear something.\n"
	printf "To start the mixer, run the command 'alsamixer -c 0' in a terminal.\n"
    fi
fi
#
sleep 4
#
printf "muting radio...\n"
./testradio 999 m >&/dev/null
printf "\n"
#
source t_footer.sh
#
# the end

